@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}
body {
    min-height: 100%;
    color: white;
    background-color: black;
    font-family: var(--font-primary);
    font-size: rem(16);
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 600;
    line-height: 1.2;
    font-family: var(--font-secondary);
}

h1, .h1 {
    font-size: rem(36);
    margin-bottom: rem(32);
}

h2, .h2 {
    font-size: rem(20);
    line-height: rem(30);
    text-transform: uppercase;

    @include media-breakpoint-up(md) {
        font-size: rem(28);
        line-height: rem(42);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(30);
        line-height: rem(47);
    }
}

h3, .h3 {
    font-size: rem(24);
    margin-bottom: rem(20);
}

h4, .h4 {
    font-size: rem(20);
    margin-bottom: rem(20);
}

h5, .h5 {
    font-size: rem(16);
    margin-bottom: rem(20);
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    text-decoration: underline;

    &:hover {
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: rem(20);
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


